Name:           felix-bundlerepository
Version:        2.0.10
Release:        6
Summary:        Apache Felix OSGi Bundle Repository service
License:        ASL 2.0 and MIT
URL:            http://felix.apache.org/documentation/subprojects/apache-felix-osgi-bundle-repository.html
Source0:        https://archive.apache.org/dist/felix/org.apache.felix.bundlerepository-%{version}-source-release.tar.gz

Patch0001:      0001-Unbundle-libraries.patch
Patch0002:      0002-Compatibility-with-osgi-r6.patch

BuildRequires:  maven-local mvn(net.sf.kxml:kxml2) mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.felix:org.apache.felix.gogo.runtime)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.shell) mvn(org.apache.felix:org.apache.felix.utils)
BuildRequires:  mvn(org.apache.felix:org.osgi.service.obr) mvn(org.codehaus.woodstox:woodstox-core-asl)
BuildRequires:  mvn(org.easymock:easymock) mvn(org.osgi:osgi.cmpn) mvn(org.osgi:osgi.core) mvn(xpp3:xpp3)
BuildArch:      noarch

%description
The goal of the Apache Felix OSGi Bundle Repository (OBR) is two-fold:
1.To simplify deploying and using available bundles with Felix.
2.To encourage independent bundle development so that communities of interest can grow.

OBR achieves the first goal by providing a service that can automatically install a bundle, with its
deployment dependencies, from a bundle repository. This makes it easier for people to experiment with
existing bundles. The second goal is achieved by raising the visibility of the available bundles and
providing access to both the executable bundle and its source code. Hopefully, by making OBR and the
bundles themselves more visible, community members will be encouraged to provide or improve service
implementations.

%package help
Summary:        Help package for felix-bundlerepository
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
This package contains the API help documentation for felix-bundlerepository.

%prep
%autosetup -n org.apache.felix.bundlerepository-%{version} -p1
sed -i 's/<unpackBundle>true<\/unpackBundle>/<unpackBundle>false<\/unpackBundle>/' pom.xml
%pom_remove_plugin :maven-source-plugin
%pom_add_dep "xpp3:xpp3:1.1.3.4.O" pom.xml "<optional>true</optional>"
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='org.apache.felix.utils']]/pom:optional"
%pom_change_dep :easymock :::test
%pom_remove_dep :org.osgi.core
%pom_add_dep org.osgi:osgi.core
%pom_remove_dep :org.osgi.compendium
%pom_add_dep org.osgi:osgi.cmpn
%mvn_file : felix/%{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc DEPENDENCIES LICENSE LICENSE.kxml2 NOTICE

%files help -f .mfiles-javadoc

%changelog
* Mon Mar 22 2021 maminjie <maminjie1@huawei.com> - 2.0.10-6
- Disable the unpackBundle param of maven-bundle-plugin

* Thu Dec 12 2019 lingsheng <lingsheng@huawei.com> - 2.0.10-5
- Package init
